#3679 closed enhancement (fixed)

RSB: Change default prefix to OS prefix + "rtems" + 4.11

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 4.11.5
Component: tool/rsb Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Cloned from #3675.

Change History (7)

comment:1 Changed on Jan 23, 2019 at 6:10:57 AM by Chris Johns

This is a functional change on a release branch. Are we able to do this? I understood release branches are bug fixes only.

comment:2 Changed on Jan 23, 2019 at 6:20:02 AM by Sebastian Huber

From my point of view a default prefix of "/usr" on Linux is a bug. I don't have a strong need to change it, I just wanted to make all branches consistent.

comment:3 Changed on Jan 24, 2019 at 5:52:08 AM by Chris Johns

The change is fine, but I feel another +1 from Gedare or Joel would be nice.

comment:4 Changed on Jan 28, 2019 at 2:19:46 PM by Joel Sherrill

Since we I have not discussed this since we moved off of RPMs, I don't see a problem with this change. It's just a recommendation and some advice.

comment:5 Changed on Jan 28, 2019 at 9:41:27 PM by Chris Johns

Thanks Joel. This change is fine.

comment:6 Changed on Jan 29, 2019 at 7:58:29 AM by Sebastian Huber <sebastian.huber@…>

comment:7 Changed on Jan 29, 2019 at 7:58:31 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In c88c92d/rtems-source-builder:

sb: Change default prefix

Use OS prefix + "rtems" + $rtems_version as the default prefix to
automatically separate different RTEMS versions.

Close #3679.

Note: See TracTickets for help on using tickets.